org.richfaces.fragment.calendar

## Enum DayPicker.CalendarDay.DayType

- java.lang.Object
- - java.lang.Enum<DayPicker.CalendarDay.DayType>
  - - org.richfaces.fragment.calendar.DayPicker.CalendarDay.DayType

- All Implemented Interfaces:
    Serializable, Comparable<DayPicker.CalendarDay.DayType>
  Enclosing interface:
    DayPicker.CalendarDay

      public static enum DayPicker.CalendarDay.DayType
      extends Enum<DayPicker.CalendarDay.DayType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `boundaryDay`
    `holidayDay`
    `selectableDay`
    `selectedDay`
    `todayDay`
    `weekendDay`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `check(org.openqa.selenium.WebElement day, String styleClass)`
    `String` | `getStyle()`
    `boolean` | `isType(org.openqa.selenium.WebElement day)`
    `static DayPicker.CalendarDay.DayType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DayPicker.CalendarDay.DayType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### boundaryDay

          public static final DayPicker.CalendarDay.DayType boundaryDay

    - #### holidayDay

          public static final DayPicker.CalendarDay.DayType holidayDay

    - #### selectableDay

          public static final DayPicker.CalendarDay.DayType selectableDay

    - #### selectedDay

          public static final DayPicker.CalendarDay.DayType selectedDay

    - #### todayDay

          public static final DayPicker.CalendarDay.DayType todayDay

    - #### weekendDay

          public static final DayPicker.CalendarDay.DayType weekendDay

  - ### Method Detail

    - #### values

          public static DayPicker.CalendarDay.DayType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DayPicker.CalendarDay.DayType c : DayPicker.CalendarDay.DayType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DayPicker.CalendarDay.DayType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isType

          public boolean isType(org.openqa.selenium.WebElement day)

    - #### getStyle

          public String getStyle()

    - #### check

          public static boolean check(org.openqa.selenium.WebElement day,
                                      String styleClass)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.